#ifndef TALLY_INCLUDED
#define TALLY_INCLUDED
#include "intlist.h"

#define T Tally_T
typedef struct T *T;

extern T Tally_push (T tally, char aa);
extern void Tally_free (T *tally);
extern char Tally_aa (T tally);
extern int Tally_count (T tally);
extern double Tally_weight (T tally);
extern Intlist_T Tally_sequences (T tally);
extern T Tally_rest (T tally);
extern int Tally_length (T tally);
extern void Tally_addseq (T tally, int seq);
extern T Tally_findseq (T tally, int seq);
extern T Tally_find (T tally, char aa);
extern void Tally_print (T tally);

#undef T
#endif
